## org.apache.batik.css.engine
Class CSSEngine.DocumentAdapter

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine.DocumentAdapter

All Implemented Interfaces:
  DocumentHandler

Direct Known Subclasses:
  CSSEngine.StyleDeclarationBuilder, CSSEngine.StyleDeclarationDocumentHandler, CSSEngine.StyleDeclarationUpdateHandler, CSSEngine.StyleSheetDocumentHandler

Enclosing class:
  CSSEngine

protected static class CSSEngine.DocumentAdapter
extends java.lang.Object
implements DocumentHandler

Provides an adapter for the DocumentHandler interface.

Constructor Summary
`protected` `CSSEngine.DocumentAdapter()`

Method Summary
`void` `comment(java.lang.String text)` SAC: Implements `DocumentHandler.comment(String)`.
`void` `endDocument(InputSource source)` SAC: Implements `DocumentHandler.endDocument(InputSource)`.
`void` `endFontFace()` SAC: Implements `DocumentHandler.endFontFace()`.
`void` `endMedia(SACMediaList media)` SAC: Implements `DocumentHandler.endMedia(SACMediaList)`.
`void` `endPage(java.lang.String name, java.lang.String pseudo_page)` SAC: Implements `DocumentHandler.endPage(String,String)`.
`void` `endSelector(SelectorList selectors)` SAC: Implements `DocumentHandler.endSelector(SelectorList)`.
`void` `ignorableAtRule(java.lang.String atRule)` SAC: Implements `DocumentHandler.ignorableAtRule(String)`.
`void` `importStyle(java.lang.String uri, SACMediaList media, java.lang.String defaultNamespaceURI)` SAC: Implements `DocumentHandler.importStyle(String,SACMediaList,String)`.
`void` `namespaceDeclaration(java.lang.String prefix, java.lang.String uri)` SAC: Implements `DocumentHandler.namespaceDeclaration(String,String)`.
`void` `property(java.lang.String name, LexicalUnit value, boolean important)` SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.
`void` `startDocument(InputSource source)` SAC: Implements `DocumentHandler.startDocument(InputSource)`.
`void` `startFontFace()` SAC: Implements `DocumentHandler.startFontFace()`.
`void` `startMedia(SACMediaList media)` SAC: Implements `DocumentHandler.startMedia(SACMediaList)`.
`void` `startPage(java.lang.String name, java.lang.String pseudo_page)` SAC: Implements `DocumentHandler.startPage(String,String)`.
`void` `startSelector(SelectorList selectors)` SAC: Implements `DocumentHandler.startSelector(SelectorList)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSEngine.DocumentAdapter

    protected CSSEngine.DocumentAdapter()

Method Detail

### startDocument

    public void startDocument(InputSource source)
                       throws CSSException

  SAC: Implements `DocumentHandler.startDocument(InputSource)`.

  Specified by:
    `startDocument` in interface `DocumentHandler`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### endDocument

    public void endDocument(InputSource source)
                     throws CSSException

  SAC: Implements `DocumentHandler.endDocument(InputSource)`.

  Specified by:
    `endDocument` in interface `DocumentHandler`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### comment

    public void comment(java.lang.String text)
                 throws CSSException

  SAC: Implements `DocumentHandler.comment(String)`.

  Specified by:
    `comment` in interface `DocumentHandler`
  Parameters:
    `text` - The comment.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### ignorableAtRule

    public void ignorableAtRule(java.lang.String atRule)
                         throws CSSException

  SAC: Implements `DocumentHandler.ignorableAtRule(String)`.

  Specified by:
    `ignorableAtRule` in interface `DocumentHandler`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### namespaceDeclaration

    public void namespaceDeclaration(java.lang.String prefix,
                                     java.lang.String uri)
                              throws CSSException

  SAC: Implements `DocumentHandler.namespaceDeclaration(String,String)`.

  Specified by:
    `namespaceDeclaration` in interface `DocumentHandler`
  Parameters:
    `prefix` - `null` if this is the default namespace
    `uri` - The URI for this namespace.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### importStyle

    public void importStyle(java.lang.String uri,
                            SACMediaList media,
                            java.lang.String defaultNamespaceURI)
                     throws CSSException

  SAC: Implements `DocumentHandler.importStyle(String,SACMediaList,String)`.

  Specified by:
    `importStyle` in interface `DocumentHandler`
  Parameters:
    `uri` - The URI of the imported style sheet.
    `media` - The intended destination media for style information.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### startMedia

    public void startMedia(SACMediaList media)
                    throws CSSException

  SAC: Implements `DocumentHandler.startMedia(SACMediaList)`.

  Specified by:
    `startMedia` in interface `DocumentHandler`
  Parameters:
    `media` - The intended destination media for style information.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### endMedia

    public void endMedia(SACMediaList media)
                  throws CSSException

  SAC: Implements `DocumentHandler.endMedia(SACMediaList)`.

  Specified by:
    `endMedia` in interface `DocumentHandler`
  Parameters:
    `media` - The intended destination media for style information.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### startPage

    public void startPage(java.lang.String name,
                          java.lang.String pseudo_page)
                   throws CSSException

  SAC: Implements `DocumentHandler.startPage(String,String)`.

  Specified by:
    `startPage` in interface `DocumentHandler`
  Parameters:
    `name` - the name of the page (if any, null otherwise)
    `pseudo_page` - the pseudo page (if any, null otherwise)
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### endPage

    public void endPage(java.lang.String name,
                        java.lang.String pseudo_page)
                 throws CSSException

  SAC: Implements `DocumentHandler.endPage(String,String)`.

  Specified by:
    `endPage` in interface `DocumentHandler`
  Parameters:
    `pseudo_page` - the pseudo page (if any, null otherwise)
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### startFontFace

    public void startFontFace()
                       throws CSSException

  SAC: Implements `DocumentHandler.startFontFace()`.

  Specified by:
    `startFontFace` in interface `DocumentHandler`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### endFontFace

    public void endFontFace()
                     throws CSSException

  SAC: Implements `DocumentHandler.endFontFace()`.

  Specified by:
    `endFontFace` in interface `DocumentHandler`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### startSelector

    public void startSelector(SelectorList selectors)
                       throws CSSException

  SAC: Implements `DocumentHandler.startSelector(SelectorList)`.

  Specified by:
    `startSelector` in interface `DocumentHandler`
  Parameters:
    `selectors` - All intended selectors for all declarations.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### endSelector

    public void endSelector(SelectorList selectors)
                     throws CSSException

  SAC: Implements `DocumentHandler.endSelector(SelectorList)`.

  Specified by:
    `endSelector` in interface `DocumentHandler`
  Parameters:
    `selectors` - All intended selectors for all declarations.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### property

    public void property(java.lang.String name,
                         LexicalUnit value,
                         boolean important)
                  throws CSSException

  SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

  Specified by:
    `property` in interface `DocumentHandler`
  Parameters:
    `name` - the name of the property.
    `value` - the value of the property. All whitespace are stripped.
    `important` - is this property important ?
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.